<div class="row mt-3" *ngIf="ensemble">
  <div class="col-md-6 mb-3">
    <div class="card">
      <div class="card-heading">
        <h5>Daten</h5>
      </div>
      <div class="card-body">
        <form #f="ngForm" (submit)="f.valid && updateEnsemble()">
          <div class="form-group">
            <label for="nameInput" class="required">Ensemblename</label>
            <input id="nameInput" class="form-control" type="text"
                   #name="ngModel" [(ngModel)]="ensemble.name"
                   name="nameInput" placeholder="Mein Gesangesverein"
                   required>
            <app-show-form-errors [control]="name"></app-show-form-errors>
          </div>
          <button type="submit" class="btn btn-success">
            <i class="fas fa-save"></i>
            Speichern
          </button>
        </form>
      </div>
    </div>
    <div class="card mt-3">
      <div class="card-heading">
        <h5 class="text-danger">Ensemble löschen</h5>
      </div>
      <div class="card-body">
        <p class="card-text">Das Ensemble kann nach dem Löschen nicht wiederhergestellt werden. Alle Daten gehen unwiderruflich verloren.</p>
        <button class="btn btn-danger" (click)="openDeleteConfirmModal()">
          <i class="fas fa-trash"></i>
          Ensemble löschen
        </button>
      </div>
    </div>
  </div>
  <div class="col-md-6">
    <eos-ensemble-officers [ensemble]="ensemble"></eos-ensemble-officers>
  </div>
</div>